about summary refs log tree commit diff
path: root/debian/tests/killswitches-no-urfkill
diff options
context:
space:
mode:
authorDan Streetman <ddstreet@canonical.com>2019-12-04 11:59:06 -0500
committerDan Streetman <ddstreet@canonical.com>2019-12-06 09:26:47 -0500
commit6ed722e16a508b985f840eb876e5f4b27eb0d148 (patch)
tree12c011c1120f496e1f6bdda239ba52aa180d6d88 /debian/tests/killswitches-no-urfkill
parentf461012f999254cc0fdac9cbb770912ae140611e (diff)
LP: #1855009
Diffstat (limited to 'debian/tests/killswitches-no-urfkill')
-rwxr-xr-xdebian/tests/killswitches-no-urfkill6
1 files changed, 6 insertions, 0 deletions
diff --git a/debian/tests/killswitches-no-urfkill b/debian/tests/killswitches-no-urfkill
index ea6f6e90..cb01eb53 100755
--- a/debian/tests/killswitches-no-urfkill
+++ b/debian/tests/killswitches-no-urfkill
@@ -1,4 +1,10 @@
 #!/bin/sh
+
+if dpkg --print-architecture | grep s390; then
+    echo "Skipping rfkill tests on s390 (LP: #1855009)"
+    exit 77
+fi
+
 set -e
 
 make -f debian/tests/Makefile fake-rfkill